MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends
sc::ShellPairCints Class Reference

ShellPairCints provides all primitive pair data for a given shell pair. More...

`#include <shellpairs.h>`

Inheritance diagram for sc::ShellPairCints:

List of all members.

## Public Member Functions

| ShellPairCints (Ref< PrimPairsCints > &)
| ShellPairCints (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | init (const int, const int)
prim_pair_t * | prim_pair (int p1, int p2) const
double | prim_pair_P (int p1, int p2, int xyz) const
double | prim_pair_gamma (int p1, int p2) const
double | prim_pair_ovlp (int p1, int p2) const

## Friends

void | init_shell_pair (ShellPairsCints &)

## Detailed Description

ShellPairCints provides all primitive pair data for a given shell pair.

## Member Function Documentation

void sc::ShellPairCints::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

The documentation for this class was generated from the following file:

- shellpairs.h